# Uses of Interface
org.springframework.web.server.WebFilter

Packages that use WebFilter
Package
Description
org.springframework.web.cors.reactive
Reactive support for CORS (Cross-Origin Resource Sharing), based on a common `CorsProcessor` strategy.
org.springframework.web.filter.reactive
`WebFilter` implementations for use in reactive web applications.
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.
org.springframework.web.server.handler
Provides common WebHandler implementations and a `WebHandlerDecorator`.

## Uses of WebFilter in org.springframework.web.cors.reactive

Classes in org.springframework.web.cors.reactive that implement WebFilter
Modifier and Type
Class
Description
`class`
`CorsWebFilter`
`WebFilter` that handles CORS preflight requests and intercepts CORS simple and actual requests thanks to a `CorsProcessor` implementation (`DefaultCorsProcessor` by default) in order to add the relevant CORS response headers (like `Access-Control-Allow-Origin`) using the provided `CorsConfigurationSource` (for example an `UrlBasedCorsConfigurationSource` instance.
`class`
`PreFlightRequestWebFilter`
WebFilter that handles pre-flight requests through a `PreFlightRequestHandler` and bypasses the rest of the chain.

## Uses of WebFilter in org.springframework.web.filter.reactive

Classes in org.springframework.web.filter.reactive that implement WebFilter
Modifier and Type
Class
Description
`class`
`HiddenHttpMethodFilter`
Reactive `WebFilter` that converts posted method parameters into HTTP methods, retrievable via `HttpRequest.getMethod()`.
`class`
`ServerHttpObservationFilter`
Deprecated, for removal: This API element is subject to removal in a future version.
since 6.1 in favor of `WebHttpHandlerBuilder`.
`class`
`ServerWebExchangeContextFilter`
Inserts an attribute in the Reactor `Context` that makes the current `ServerWebExchange` available under the attribute name `ServerWebExchangeContextFilter.EXCHANGE_CONTEXT_ATTRIBUTE`.
`final class`
`UrlHandlerFilter`
`WebFilter` that modifies the URL, and then redirects or wraps the request to apply the change.

## Uses of WebFilter in org.springframework.web.server.adapter

Methods in org.springframework.web.server.adapter with parameters of type WebFilter
Modifier and Type
Method
Description
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`filter(WebFilter... filters)`
Add the given filter(s).
Method parameters in org.springframework.web.server.adapter with type arguments of type WebFilter
Modifier and Type
Method
Description
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`filters(Consumer<List<WebFilter>> consumer)`
Manipulate the "live" list of currently configured filters.

## Uses of WebFilter in org.springframework.web.server.handler

Methods in org.springframework.web.server.handler that return types with arguments of type WebFilter
Modifier and Type
Method
Description
`List<WebFilter>`
DefaultWebFilterChain.`getFilters()`
`List<WebFilter>`
FilteringWebHandler.`getFilters()`
Return a read-only list of the configured filters.
Constructor parameters in org.springframework.web.server.handler with type arguments of type WebFilter
Modifier
Constructor
Description
``
`DefaultWebFilterChain(WebHandler handler, List<WebFilter> filters)`
Public constructor with the list of filters and the target handler to use.
``
`FilteringWebHandler(WebHandler handler, List<WebFilter> filters)`
Constructor.